Logo of the Java RMI Plug-in for Eclipse

RMI Plug-in for Eclipse
version 2.0

Downloads


The latest version of the RMI Plug-in for Eclipse is v2.5.1. It supports Eclipse 4.x versions (Juno and Kepler) and products that are built on top of these versions. Please use one of the download links later on this page.

Guide to older versions

The previous versions of the RMI Plug-in for Eclipse are 2.1.6 and v2.0.7 and they support Eclipse 3.5 and 3.3 (Galileo, Europa) and other products based on these releases (e.g., earlier versions of CodeGear JBuilder and IBM Rational RAD/RSA). Versions 2.0.6 and before, that suppport earlier releases of Eclipse are available from the archived downloads page.

By downloading the RMI Plug-in for Eclipse you accept the License Agreement

v2.5.1: For Eclipse Juno (4.2.x) and compatible products

It is highly recommended to install the RMI Plug-in from the update site:

v2.1.6: For Eclipse Galileo (3.5.x) and compatible products

It is recommended to install the RMI Plug-in from the update site:

BETA 2.1.0: For Eclipse Ganymede and products based on Eclipse 3.4

It is recommended to install the RMI Plug-in from the update site:

For Eclipse 3.3 (Europa), IBM Rational RAD 7.x

While downloading...

You might wish to check the following resources related to this version while downloading:

After downloading you may need to obtain a license key that will allow using the RMI Plug-in beyond the initial (15 days) trial period.


© 2002-15 Genady Beryozkin, rmi-info@genady.net. Read our Privacy policy. Hosted on RimuHosting. Visit Javalobby.